#!/bin/sh

JDK=/usr/java/j2sdk1.4.2_11
BLD=build
export PATH=$PATH:$JDK/bin

mkdir $BLD

javac -d $BLD OpenGLCanvas/*.java
javac -d $BLD -classpath $BLD atlantis/*.java *.java
javah -d $BLD -classpath $BLD olegyk.jawtopengl.OpenGLCanvas olegyk.jawtopengl.demo.Atlantis
jar cfm $BLD/JAWTAtlantis.jar MANIFEST.MF -C $BLD olegyk
rm -d -f -r $BLD/olegyk

INC="-I${JDK}/include -I${JDK}/include/linux -I/usr/X11R6/include -I${BLD}"
LIB="-L$BLD -L/usr/lib -L/usr/X11R6/lib -L$JDK/jre/lib/i386"
LINK="-lm -lGL -lGLU -lpthread -lX11 -lXext -ljawt"
OPT=-shared

gcc $OPT $INC $LIB $LINK OpenGLCanvas/OpenGLCanvas.c -o $BLD/libOpenGLCanvas.so

gcc $OPT $INC $LIB $LINK atlantis/*.c -o $BLD/libAtlantis.so

rm $BLD/*.h
